package Web;

import Database.FisData;

import java.nio.file.Path;

public interface SocketIOEvents {
    void Connected(String remoteAddress, String sessionId);
    void Disconnected(String remoteAddress, String sessionId);
    String[] GetTables(String remoteAddress, String sessionId);
    String CreateTable(String remoteAddress, String sessionId, String tableName);
    String DropTable(String remoteAddress, String sessionId,String tableName);
    String InsertFisDataToTable(String remoteAddress, String sessionId, String tableName, FisData... data);
    String DeleteFisDataFromTable(String remoteAddress, String sessionId, String tableName, int index);
    String UpdateFisDataInTable(String remoteAddress, String sessionId, String tableName, int index, FisData data);
    FisData[] GetFisDataFromTable(String remoteAddress, String sessionId, String tableName, String filter_airlinecode, String filter_flightnumber, String filter_DA, String filter_DI);
    Path ExportToXLSX(String remoteAddress, String sessionId, String tablename);
    String Login(String remoteAddress, String sessionId, String username, String password);
}
